// Copyright 2015-2016 Espressif Systems (Shanghai) PTE LTD
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at

//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
#ifndef _SOC_GPIO_REG_H_
#define _SOC_GPIO_REG_H_

#include "soc.h"

//for GPIO_PIN group
#define GPIO_PIN_CONFIG_MSB			12
#define GPIO_PIN_CONFIG_LSB                     11
#define GPIO_PIN_CONFIG_MASK			0x00001800
#define GPIO_PIN_CONFIG_GET(x)			(((x) & GPIO_PIN_CONFIG_MASK) >> GPIO_PIN_CONFIG_LSB)
#define GPIO_PIN_CONFIG_SET(x)                  (((x) << GPIO_PIN_CONFIG_LSB) & GPIO_PIN_CONFIG_MASK)

#define GPIO_WAKEUP_ENABLE			1
#define GPIO_WAKEUP_DISABLE			(~GPIO_WAKEUP_ENABLE)
#define GPIO_PIN_WAKEUP_ENABLE_MSB		10
#define GPIO_PIN_WAKEUP_ENABLE_LSB              10
#define GPIO_PIN_WAKEUP_ENABLE_MASK		0x00000400
#define GPIO_PIN_WAKEUP_ENABLE_GET(x)		(((x) & GPIO_PIN_WAKEUP_ENABLE_MASK) >> GPIO_PIN_WAKEUP_ENABLE_LSB)
#define GPIO_PIN_WAKEUP_ENABLE_SET(x)           (((x) << GPIO_PIN_WAKEUP_ENABLE_LSB) & GPIO_PIN_WAKEUP_ENABLE_MASK)

#define GPIO_PIN_INT_TYPE_MASK			0x380
#define GPIO_PIN_INT_TYPE_MSB			9
#define GPIO_PIN_INT_TYPE_LSB			7
#define GPIO_PIN_INT_TYPE_GET(x)		(((x) & GPIO_PIN_INT_TYPE_MASK) >> GPIO_PIN_INT_TYPE_LSB)
#define GPIO_PIN_INT_TYPE_SET(x)		(((x) << GPIO_PIN_INT_TYPE_LSB) & GPIO_PIN_INT_TYPE_MASK)

#define GPIO_PAD_DRIVER_ENABLE			1
#define GPIO_PAD_DRIVER_DISABLE			(~GPIO_PAD_DRIVER_ENABLE)
#define GPIO_PIN_PAD_DRIVER_MSB			2
#define GPIO_PIN_PAD_DRIVER_LSB			2
#define GPIO_PIN_PAD_DRIVER_MASK		0x00000004
#define GPIO_PIN_PAD_DRIVER_GET(x)		(((x) & GPIO_PIN_PAD_DRIVER_MASK) >> GPIO_PIN_PAD_DRIVER_LSB)
#define GPIO_PIN_PAD_DRIVER_SET(x)		(((x) << GPIO_PIN_PAD_DRIVER_LSB) & GPIO_PIN_PAD_DRIVER_MASK)

//end GPIO_PIN group

#define GPIO_BT_SELECT (DR_REG_GPIO_BASE + 0x0000)
#define GPIO_GPIO_BT_SEL 0xFFFFFFFF
#define GPIO_GPIO_BT_SEL_S 0

#define GPIO_OUT (DR_REG_GPIO_BASE + 0x0004)
#define GPIO_GPIO_OUT_DATA 0xFFFFFFFF
#define GPIO_GPIO_OUT_DATA_S 0

#define GPIO_OUT_W1TS (DR_REG_GPIO_BASE + 0x0008)
#define GPIO_GPIO_OUT_DATA 0xFFFFFFFF
#define GPIO_GPIO_OUT_DATA_S 0

#define GPIO_OUT_W1TC (DR_REG_GPIO_BASE + 0x000c)
#define GPIO_GPIO_OUT_DATA 0xFFFFFFFF
#define GPIO_GPIO_OUT_DATA_S 0

#define GPIO_OUT1 (DR_REG_GPIO_BASE + 0x0010)
#define GPIO_GPIO_OUT_DATA_H 0x000000FF
#define GPIO_GPIO_OUT_DATA_H_S 0

#define GPIO_OUT1_W1TS (DR_REG_GPIO_BASE + 0x0014)
#define GPIO_GPIO_OUT_DATA_H 0x000000FF
#define GPIO_GPIO_OUT_DATA_H_S 0

#define GPIO_OUT1_W1TC (DR_REG_GPIO_BASE + 0x0018)
#define GPIO_GPIO_OUT_DATA_H 0x000000FF
#define GPIO_GPIO_OUT_DATA_H_S 0

#define GPIO_SDIO_SELECT (DR_REG_GPIO_BASE + 0x001c)
#define GPIO_GPIO_SDIO_SEL 0x000000FF
#define GPIO_GPIO_SDIO_SEL_S 0

#define GPIO_ENABLE (DR_REG_GPIO_BASE + 0x0020)
#define GPIO_GPIO_ENABLE_DATA 0xFFFFFFFF
#define GPIO_GPIO_ENABLE_DATA_S 0

#define GPIO_ENABLE_W1TS (DR_REG_GPIO_BASE + 0x0024)
#define GPIO_GPIO_ENABLE_DATA 0xFFFFFFFF
#define GPIO_GPIO_ENABLE_DATA_S 0

#define GPIO_ENABLE_W1TC (DR_REG_GPIO_BASE + 0x0028)
#define GPIO_GPIO_ENABLE_DATA 0xFFFFFFFF
#define GPIO_GPIO_ENABLE_DATA_S 0

#define GPIO_ENABLE1 (DR_REG_GPIO_BASE + 0x002c)
#define GPIO_GPIO_ENABLE_DATA_H 0x000000FF
#define GPIO_GPIO_ENABLE_DATA_H_S 0

#define GPIO_ENABLE1_W1TS (DR_REG_GPIO_BASE + 0x0030)
#define GPIO_GPIO_ENABLE_DATA_H 0x000000FF
#define GPIO_GPIO_ENABLE_DATA_H_S 0

#define GPIO_ENABLE1_W1TC (DR_REG_GPIO_BASE + 0x0034)
#define GPIO_GPIO_ENABLE_DATA_H 0x000000FF
#define GPIO_GPIO_ENABLE_DATA_H_S 0

#define GPIO_STRAP (DR_REG_GPIO_BASE + 0x0038)
#define GPIO_GPIO_STRAPPING 0x0000FFFF
#define GPIO_GPIO_STRAPPING_S 0

#define GPIO_IN (DR_REG_GPIO_BASE + 0x003c)
#define GPIO_GPIO_IN_DATA_NEXT 0xFFFFFFFF
#define GPIO_GPIO_IN_DATA_NEXT_S 0

#define GPIO_IN1 (DR_REG_GPIO_BASE + 0x0040)
#define GPIO_GPIO_IN_DATA_NEXT_H 0x000000FF
#define GPIO_GPIO_IN_DATA_NEXT_H_S 0

#define GPIO_STATUS (DR_REG_GPIO_BASE + 0x0044)
#define GPIO_GPIO_STATUS_INTERRUPT 0xFFFFFFFF
#define GPIO_GPIO_STATUS_INTERRUPT_S 0

#define GPIO_STATUS_W1TS (DR_REG_GPIO_BASE + 0x0048)
#define GPIO_GPIO_STATUS_INTERRUPT 0xFFFFFFFF
#define GPIO_GPIO_STATUS_INTERRUPT_S 0

#define GPIO_STATUS_W1TC (DR_REG_GPIO_BASE + 0x004c)
#define GPIO_GPIO_STATUS_INTERRUPT 0xFFFFFFFF
#define GPIO_GPIO_STATUS_INTERRUPT_S 0

#define GPIO_STATUS1 (DR_REG_GPIO_BASE + 0x0050)
#define GPIO_GPIO_STATUS_INTERRUPT_H 0x000000FF
#define GPIO_GPIO_STATUS_INTERRUPT_H_S 0

#define GPIO_STATUS1_W1TS (DR_REG_GPIO_BASE + 0x0054)
#define GPIO_GPIO_STATUS_INTERRUPT_H 0x000000FF
#define GPIO_GPIO_STATUS_INTERRUPT_H_S 0

#define GPIO_STATUS1_W1TC (DR_REG_GPIO_BASE + 0x0058)
#define GPIO_GPIO_STATUS_INTERRUPT_H 0x000000FF
#define GPIO_GPIO_STATUS_INTERRUPT_H_S 0

#define GPIO_ACPU_INT (DR_REG_GPIO_BASE + 0x0060)
#define GPIO_GPIO_APPCPU_INT 0xFFFFFFFF
#define GPIO_GPIO_APPCPU_INT_S 0

#define GPIO_ACPU_NMI_INT (DR_REG_GPIO_BASE + 0x0064)
#define GPIO_GPIO_APPCPU_NMI_INT 0xFFFFFFFF
#define GPIO_GPIO_APPCPU_NMI_INT_S 0

#define GPIO_PCPU_INT (DR_REG_GPIO_BASE + 0x0068)
#define GPIO_GPIO_PROCPU_INT 0xFFFFFFFF
#define GPIO_GPIO_PROCPU_INT_S 0

#define GPIO_PCPU_NMI_INT (DR_REG_GPIO_BASE + 0x006c)
#define GPIO_GPIO_PROCPU_NMI_INT 0xFFFFFFFF
#define GPIO_GPIO_PROCPU_NMI_INT_S 0

#define GPIO_CPUSDIO_INT (DR_REG_GPIO_BASE + 0x0070)
#define GPIO_GPIO_SDIO_INT 0xFFFFFFFF
#define GPIO_GPIO_SDIO_INT_S 0

#define GPIO_ACPU_INT1 (DR_REG_GPIO_BASE + 0x0074)
#define GPIO_GPIO_APPCPU_INT_H 0x000000FF
#define GPIO_GPIO_APPCPU_INT_H_S 0

#define GPIO_ACPU_NMI_INT1 (DR_REG_GPIO_BASE + 0x0078)
#define GPIO_GPIO_APPCPU_NMI_INT_H 0x000000FF
#define GPIO_GPIO_APPCPU_NMI_INT_H_S 0

#define GPIO_PCPU_INT1 (DR_REG_GPIO_BASE + 0x007c)
#define GPIO_GPIO_PROCPU_INT_H 0x000000FF
#define GPIO_GPIO_PROCPU_INT_H_S 0

#define GPIO_PCPU_NMI_INT1 (DR_REG_GPIO_BASE + 0x0080)
#define GPIO_GPIO_PROCPU_NMI_INT_H 0x000000FF
#define GPIO_GPIO_PROCPU_NMI_INT_H_S 0

#define GPIO_CPUSDIO_INT1 (DR_REG_GPIO_BASE + 0x0084)
#define GPIO_GPIO_SDIO_INT_H 0x000000FF
#define GPIO_GPIO_SDIO_INT_H_S 0

#define GPIO_PIN0 (DR_REG_GPIO_BASE + 0x0088)
#define GPIO_GPIO_PIN0_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN0_INT_ENA_S 13
#define GPIO_GPIO_PIN0_CONFIG 0x00000003
#define GPIO_GPIO_PIN0_CONFIG_S 11
#define GPIO_GPIO_PIN0_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN0_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN0_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN0_INT_TYPE_S 7
#define GPIO_GPIO_PIN0_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN0_PAD_DRIVER_S 2

#define GPIO_PIN1 (DR_REG_GPIO_BASE + 0x008c)
#define GPIO_GPIO_PIN1_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN1_INT_ENA_S 13
#define GPIO_GPIO_PIN1_CONFIG 0x00000003
#define GPIO_GPIO_PIN1_CONFIG_S 11
#define GPIO_GPIO_PIN1_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN1_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN1_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN1_INT_TYPE_S 7
#define GPIO_GPIO_PIN1_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN1_PAD_DRIVER_S 2

#define GPIO_PIN2 (DR_REG_GPIO_BASE + 0x0090)
#define GPIO_GPIO_PIN2_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN2_INT_ENA_S 13
#define GPIO_GPIO_PIN2_CONFIG 0x00000003
#define GPIO_GPIO_PIN2_CONFIG_S 11
#define GPIO_GPIO_PIN2_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN2_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN2_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN2_INT_TYPE_S 7
#define GPIO_GPIO_PIN2_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN2_PAD_DRIVER_S 2

#define GPIO_PIN3 (DR_REG_GPIO_BASE + 0x0094)
#define GPIO_GPIO_PIN3_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN3_INT_ENA_S 13
#define GPIO_GPIO_PIN3_CONFIG 0x00000003
#define GPIO_GPIO_PIN3_CONFIG_S 11
#define GPIO_GPIO_PIN3_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN3_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN3_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN3_INT_TYPE_S 7
#define GPIO_GPIO_PIN3_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN3_PAD_DRIVER_S 2

#define GPIO_PIN4 (DR_REG_GPIO_BASE + 0x0098)
#define GPIO_GPIO_PIN4_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN4_INT_ENA_S 13
#define GPIO_GPIO_PIN4_CONFIG 0x00000003
#define GPIO_GPIO_PIN4_CONFIG_S 11
#define GPIO_GPIO_PIN4_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN4_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN4_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN4_INT_TYPE_S 7
#define GPIO_GPIO_PIN4_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN4_PAD_DRIVER_S 2

#define GPIO_PIN5 (DR_REG_GPIO_BASE + 0x009c)
#define GPIO_GPIO_PIN5_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN5_INT_ENA_S 13
#define GPIO_GPIO_PIN5_CONFIG 0x00000003
#define GPIO_GPIO_PIN5_CONFIG_S 11
#define GPIO_GPIO_PIN5_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN5_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN5_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN5_INT_TYPE_S 7
#define GPIO_GPIO_PIN5_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN5_PAD_DRIVER_S 2

#define GPIO_PIN6 (DR_REG_GPIO_BASE + 0x00a0)
#define GPIO_GPIO_PIN6_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN6_INT_ENA_S 13
#define GPIO_GPIO_PIN6_CONFIG 0x00000003
#define GPIO_GPIO_PIN6_CONFIG_S 11
#define GPIO_GPIO_PIN6_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN6_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN6_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN6_INT_TYPE_S 7
#define GPIO_GPIO_PIN6_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN6_PAD_DRIVER_S 2

#define GPIO_PIN7 (DR_REG_GPIO_BASE + 0x00a4)
#define GPIO_GPIO_PIN7_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN7_INT_ENA_S 13
#define GPIO_GPIO_PIN7_CONFIG 0x00000003
#define GPIO_GPIO_PIN7_CONFIG_S 11
#define GPIO_GPIO_PIN7_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN7_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN7_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN7_INT_TYPE_S 7
#define GPIO_GPIO_PIN7_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN7_PAD_DRIVER_S 2

#define GPIO_PIN8 (DR_REG_GPIO_BASE + 0x00a8)
#define GPIO_GPIO_PIN8_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN8_INT_ENA_S 13
#define GPIO_GPIO_PIN8_CONFIG 0x00000003
#define GPIO_GPIO_PIN8_CONFIG_S 11
#define GPIO_GPIO_PIN8_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN8_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN8_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN8_INT_TYPE_S 7
#define GPIO_GPIO_PIN8_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN8_PAD_DRIVER_S 2

#define GPIO_PIN9 (DR_REG_GPIO_BASE + 0x00ac)
#define GPIO_GPIO_PIN9_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN9_INT_ENA_S 13
#define GPIO_GPIO_PIN9_CONFIG 0x00000003
#define GPIO_GPIO_PIN9_CONFIG_S 11
#define GPIO_GPIO_PIN9_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN9_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN9_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN9_INT_TYPE_S 7
#define GPIO_GPIO_PIN9_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN9_PAD_DRIVER_S 2

#define GPIO_PIN10 (DR_REG_GPIO_BASE + 0x00b0)
#define GPIO_GPIO_PIN10_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN10_INT_ENA_S 13
#define GPIO_GPIO_PIN10_CONFIG 0x00000003
#define GPIO_GPIO_PIN10_CONFIG_S 11
#define GPIO_GPIO_PIN10_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN10_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN10_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN10_INT_TYPE_S 7
#define GPIO_GPIO_PIN10_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN10_PAD_DRIVER_S 2

#define GPIO_PIN11 (DR_REG_GPIO_BASE + 0x00b4)
#define GPIO_GPIO_PIN11_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN11_INT_ENA_S 13
#define GPIO_GPIO_PIN11_CONFIG 0x00000003
#define GPIO_GPIO_PIN11_CONFIG_S 11
#define GPIO_GPIO_PIN11_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN11_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN11_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN11_INT_TYPE_S 7
#define GPIO_GPIO_PIN11_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN11_PAD_DRIVER_S 2

#define GPIO_PIN12 (DR_REG_GPIO_BASE + 0x00b8)
#define GPIO_GPIO_PIN12_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN12_INT_ENA_S 13
#define GPIO_GPIO_PIN12_CONFIG 0x00000003
#define GPIO_GPIO_PIN12_CONFIG_S 11
#define GPIO_GPIO_PIN12_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN12_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN12_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN12_INT_TYPE_S 7
#define GPIO_GPIO_PIN12_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN12_PAD_DRIVER_S 2

#define GPIO_PIN13 (DR_REG_GPIO_BASE + 0x00bc)
#define GPIO_GPIO_PIN13_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN13_INT_ENA_S 13
#define GPIO_GPIO_PIN13_CONFIG 0x00000003
#define GPIO_GPIO_PIN13_CONFIG_S 11
#define GPIO_GPIO_PIN13_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN13_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN13_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN13_INT_TYPE_S 7
#define GPIO_GPIO_PIN13_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN13_PAD_DRIVER_S 2

#define GPIO_PIN14 (DR_REG_GPIO_BASE + 0x00c0)
#define GPIO_GPIO_PIN14_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN14_INT_ENA_S 13
#define GPIO_GPIO_PIN14_CONFIG 0x00000003
#define GPIO_GPIO_PIN14_CONFIG_S 11
#define GPIO_GPIO_PIN14_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN14_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN14_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN14_INT_TYPE_S 7
#define GPIO_GPIO_PIN14_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN14_PAD_DRIVER_S 2

#define GPIO_PIN15 (DR_REG_GPIO_BASE + 0x00c4)
#define GPIO_GPIO_PIN15_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN15_INT_ENA_S 13
#define GPIO_GPIO_PIN15_CONFIG 0x00000003
#define GPIO_GPIO_PIN15_CONFIG_S 11
#define GPIO_GPIO_PIN15_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN15_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN15_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN15_INT_TYPE_S 7
#define GPIO_GPIO_PIN15_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN15_PAD_DRIVER_S 2

#define GPIO_PIN16 (DR_REG_GPIO_BASE + 0x00c8)
#define GPIO_GPIO_PIN16_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN16_INT_ENA_S 13
#define GPIO_GPIO_PIN16_CONFIG 0x00000003
#define GPIO_GPIO_PIN16_CONFIG_S 11
#define GPIO_GPIO_PIN16_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN16_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN16_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN16_INT_TYPE_S 7
#define GPIO_GPIO_PIN16_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN16_PAD_DRIVER_S 2

#define GPIO_PIN17 (DR_REG_GPIO_BASE + 0x00cc)
#define GPIO_GPIO_PIN17_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN17_INT_ENA_S 13
#define GPIO_GPIO_PIN17_CONFIG 0x00000003
#define GPIO_GPIO_PIN17_CONFIG_S 11
#define GPIO_GPIO_PIN17_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN17_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN17_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN17_INT_TYPE_S 7
#define GPIO_GPIO_PIN17_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN17_PAD_DRIVER_S 2

#define GPIO_PIN18 (DR_REG_GPIO_BASE + 0x00d0)
#define GPIO_GPIO_PIN18_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN18_INT_ENA_S 13
#define GPIO_GPIO_PIN18_CONFIG 0x00000003
#define GPIO_GPIO_PIN18_CONFIG_S 11
#define GPIO_GPIO_PIN18_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN18_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN18_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN18_INT_TYPE_S 7
#define GPIO_GPIO_PIN18_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN18_PAD_DRIVER_S 2

#define GPIO_PIN19 (DR_REG_GPIO_BASE + 0x00d4)
#define GPIO_GPIO_PIN19_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN19_INT_ENA_S 13
#define GPIO_GPIO_PIN19_CONFIG 0x00000003
#define GPIO_GPIO_PIN19_CONFIG_S 11
#define GPIO_GPIO_PIN19_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN19_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN19_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN19_INT_TYPE_S 7
#define GPIO_GPIO_PIN19_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN19_PAD_DRIVER_S 2

#define GPIO_PIN20 (DR_REG_GPIO_BASE + 0x00d8)
#define GPIO_GPIO_PIN20_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN20_INT_ENA_S 13
#define GPIO_GPIO_PIN20_CONFIG 0x00000003
#define GPIO_GPIO_PIN20_CONFIG_S 11
#define GPIO_GPIO_PIN20_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN20_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN20_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN20_INT_TYPE_S 7
#define GPIO_GPIO_PIN20_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN20_PAD_DRIVER_S 2

#define GPIO_PIN21 (DR_REG_GPIO_BASE + 0x00dc)
#define GPIO_GPIO_PIN21_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN21_INT_ENA_S 13
#define GPIO_GPIO_PIN21_CONFIG 0x00000003
#define GPIO_GPIO_PIN21_CONFIG_S 11
#define GPIO_GPIO_PIN21_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN21_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN21_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN21_INT_TYPE_S 7
#define GPIO_GPIO_PIN21_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN21_PAD_DRIVER_S 2

#define GPIO_PIN22 (DR_REG_GPIO_BASE + 0x00e0)
#define GPIO_GPIO_PIN22_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN22_INT_ENA_S 13
#define GPIO_GPIO_PIN22_CONFIG 0x00000003
#define GPIO_GPIO_PIN22_CONFIG_S 11
#define GPIO_GPIO_PIN22_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN22_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN22_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN22_INT_TYPE_S 7
#define GPIO_GPIO_PIN22_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN22_PAD_DRIVER_S 2

#define GPIO_PIN23 (DR_REG_GPIO_BASE + 0x00e4)
#define GPIO_GPIO_PIN23_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN23_INT_ENA_S 13
#define GPIO_GPIO_PIN23_CONFIG 0x00000003
#define GPIO_GPIO_PIN23_CONFIG_S 11
#define GPIO_GPIO_PIN23_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN23_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN23_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN23_INT_TYPE_S 7
#define GPIO_GPIO_PIN23_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN23_PAD_DRIVER_S 2

#define GPIO_PIN24 (DR_REG_GPIO_BASE + 0x00e8)
#define GPIO_GPIO_PIN24_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN24_INT_ENA_S 13
#define GPIO_GPIO_PIN24_CONFIG 0x00000003
#define GPIO_GPIO_PIN24_CONFIG_S 11
#define GPIO_GPIO_PIN24_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN24_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN24_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN24_INT_TYPE_S 7
#define GPIO_GPIO_PIN24_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN24_PAD_DRIVER_S 2

#define GPIO_PIN25 (DR_REG_GPIO_BASE + 0x00ec)
#define GPIO_GPIO_PIN25_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN25_INT_ENA_S 13
#define GPIO_GPIO_PIN25_CONFIG 0x00000003
#define GPIO_GPIO_PIN25_CONFIG_S 11
#define GPIO_GPIO_PIN25_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN25_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN25_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN25_INT_TYPE_S 7
#define GPIO_GPIO_PIN25_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN25_PAD_DRIVER_S 2

#define GPIO_PIN26 (DR_REG_GPIO_BASE + 0x00f0)
#define GPIO_GPIO_PIN26_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN26_INT_ENA_S 13
#define GPIO_GPIO_PIN26_CONFIG 0x00000003
#define GPIO_GPIO_PIN26_CONFIG_S 11
#define GPIO_GPIO_PIN26_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN26_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN26_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN26_INT_TYPE_S 7
#define GPIO_GPIO_PIN26_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN26_PAD_DRIVER_S 2

#define GPIO_PIN27 (DR_REG_GPIO_BASE + 0x00f4)
#define GPIO_GPIO_PIN27_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN27_INT_ENA_S 13
#define GPIO_GPIO_PIN27_CONFIG 0x00000003
#define GPIO_GPIO_PIN27_CONFIG_S 11
#define GPIO_GPIO_PIN27_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN27_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN27_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN27_INT_TYPE_S 7
#define GPIO_GPIO_PIN27_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN27_PAD_DRIVER_S 2

#define GPIO_PIN28 (DR_REG_GPIO_BASE + 0x00f8)
#define GPIO_GPIO_PIN28_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN28_INT_ENA_S 13
#define GPIO_GPIO_PIN28_CONFIG 0x00000003
#define GPIO_GPIO_PIN28_CONFIG_S 11
#define GPIO_GPIO_PIN28_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN28_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN28_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN28_INT_TYPE_S 7
#define GPIO_GPIO_PIN28_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN28_PAD_DRIVER_S 2

#define GPIO_PIN29 (DR_REG_GPIO_BASE + 0x00fc)
#define GPIO_GPIO_PIN29_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN29_INT_ENA_S 13
#define GPIO_GPIO_PIN29_CONFIG 0x00000003
#define GPIO_GPIO_PIN29_CONFIG_S 11
#define GPIO_GPIO_PIN29_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN29_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN29_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN29_INT_TYPE_S 7
#define GPIO_GPIO_PIN29_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN29_PAD_DRIVER_S 2

#define GPIO_PIN30 (DR_REG_GPIO_BASE + 0x0100)
#define GPIO_GPIO_PIN30_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN30_INT_ENA_S 13
#define GPIO_GPIO_PIN30_CONFIG 0x00000003
#define GPIO_GPIO_PIN30_CONFIG_S 11
#define GPIO_GPIO_PIN30_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN30_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN30_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN30_INT_TYPE_S 7
#define GPIO_GPIO_PIN30_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN30_PAD_DRIVER_S 2

#define GPIO_PIN31 (DR_REG_GPIO_BASE + 0x0104)
#define GPIO_GPIO_PIN31_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN31_INT_ENA_S 13
#define GPIO_GPIO_PIN31_CONFIG 0x00000003
#define GPIO_GPIO_PIN31_CONFIG_S 11
#define GPIO_GPIO_PIN31_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN31_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN31_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN31_INT_TYPE_S 7
#define GPIO_GPIO_PIN31_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN31_PAD_DRIVER_S 2

#define GPIO_PIN32 (DR_REG_GPIO_BASE + 0x0108)
#define GPIO_GPIO_PIN32_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN32_INT_ENA_S 13
#define GPIO_GPIO_PIN32_CONFIG 0x00000003
#define GPIO_GPIO_PIN32_CONFIG_S 11
#define GPIO_GPIO_PIN32_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN32_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN32_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN32_INT_TYPE_S 7
#define GPIO_GPIO_PIN32_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN32_PAD_DRIVER_S 2

#define GPIO_PIN33 (DR_REG_GPIO_BASE + 0x010c)
#define GPIO_GPIO_PIN33_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN33_INT_ENA_S 13
#define GPIO_GPIO_PIN33_CONFIG 0x00000003
#define GPIO_GPIO_PIN33_CONFIG_S 11
#define GPIO_GPIO_PIN33_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN33_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN33_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN33_INT_TYPE_S 7
#define GPIO_GPIO_PIN33_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN33_PAD_DRIVER_S 2

#define GPIO_PIN34 (DR_REG_GPIO_BASE + 0x0110)
#define GPIO_GPIO_PIN34_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN34_INT_ENA_S 13
#define GPIO_GPIO_PIN34_CONFIG 0x00000003
#define GPIO_GPIO_PIN34_CONFIG_S 11
#define GPIO_GPIO_PIN34_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN34_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN34_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN34_INT_TYPE_S 7
#define GPIO_GPIO_PIN34_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN34_PAD_DRIVER_S 2

#define GPIO_PIN35 (DR_REG_GPIO_BASE + 0x0114)
#define GPIO_GPIO_PIN35_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN35_INT_ENA_S 13
#define GPIO_GPIO_PIN35_CONFIG 0x00000003
#define GPIO_GPIO_PIN35_CONFIG_S 11
#define GPIO_GPIO_PIN35_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN35_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN35_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN35_INT_TYPE_S 7
#define GPIO_GPIO_PIN35_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN35_PAD_DRIVER_S 2

#define GPIO_PIN36 (DR_REG_GPIO_BASE + 0x0118)
#define GPIO_GPIO_PIN36_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN36_INT_ENA_S 13
#define GPIO_GPIO_PIN36_CONFIG 0x00000003
#define GPIO_GPIO_PIN36_CONFIG_S 11
#define GPIO_GPIO_PIN36_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN36_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN36_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN36_INT_TYPE_S 7
#define GPIO_GPIO_PIN36_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN36_PAD_DRIVER_S 2

#define GPIO_PIN37 (DR_REG_GPIO_BASE + 0x011c)
#define GPIO_GPIO_PIN37_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN37_INT_ENA_S 13
#define GPIO_GPIO_PIN37_CONFIG 0x00000003
#define GPIO_GPIO_PIN37_CONFIG_S 11
#define GPIO_GPIO_PIN37_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN37_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN37_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN37_INT_TYPE_S 7
#define GPIO_GPIO_PIN37_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN37_PAD_DRIVER_S 2

#define GPIO_PIN38 (DR_REG_GPIO_BASE + 0x0120)
#define GPIO_GPIO_PIN38_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN38_INT_ENA_S 13
#define GPIO_GPIO_PIN38_CONFIG 0x00000003
#define GPIO_GPIO_PIN38_CONFIG_S 11
#define GPIO_GPIO_PIN38_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN38_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN38_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN38_INT_TYPE_S 7
#define GPIO_GPIO_PIN38_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN38_PAD_DRIVER_S 2

#define GPIO_PIN39 (DR_REG_GPIO_BASE + 0x0124)
#define GPIO_GPIO_PIN39_INT_ENA 0x0000001F
#define GPIO_GPIO_PIN39_INT_ENA_S 13
#define GPIO_GPIO_PIN39_CONFIG 0x00000003
#define GPIO_GPIO_PIN39_CONFIG_S 11
#define GPIO_GPIO_PIN39_WAKEUP_ENABLE (BIT(10))
#define GPIO_GPIO_PIN39_WAKEUP_ENABLE_S 10
#define GPIO_GPIO_PIN39_INT_TYPE 0x00000007
#define GPIO_GPIO_PIN39_INT_TYPE_S 7
#define GPIO_GPIO_PIN39_PAD_DRIVER (BIT(2))
#define GPIO_GPIO_PIN39_PAD_DRIVER_S 2

#define CALI_CONF (DR_REG_GPIO_BASE + 0x0128)
#define GPIO_CALI_START (BIT(31))
#define GPIO_CALI_START_S 31
#define GPIO_CALI_RTC_MAX 0x000003FF
#define GPIO_CALI_RTC_MAX_S 0

#define CALI_DATA (DR_REG_GPIO_BASE + 0x012c)
#define GPIO_CALI_RDY_SYNC2 (BIT(31))
#define GPIO_CALI_RDY_SYNC2_S 31
#define GPIO_CALI_RDY_REAL (BIT(30))
#define GPIO_CALI_RDY_REAL_S 30
#define GPIO_CALI_VALUE_SYNC2 0x000FFFFF
#define GPIO_CALI_VALUE_SYNC2_S 0

#define GPIO_FUNC0_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0130)
#define GPIO_GPIO_SIG0_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG0_IN_SEL_S 7
#define GPIO_GPIO_FUNC0_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC0_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC0_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC0_IN_SEL_S 0

#define GPIO_FUNC1_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0134)
#define GPIO_GPIO_SIG1_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG1_IN_SEL_S 7
#define GPIO_GPIO_FUNC1_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC1_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC1_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC1_IN_SEL_S 0

#define GPIO_FUNC2_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0138)
#define GPIO_GPIO_SIG2_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG2_IN_SEL_S 7
#define GPIO_GPIO_FUNC2_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC2_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC2_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC2_IN_SEL_S 0

#define GPIO_FUNC3_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x013c)
#define GPIO_GPIO_SIG3_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG3_IN_SEL_S 7
#define GPIO_GPIO_FUNC3_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC3_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC3_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC3_IN_SEL_S 0

#define GPIO_FUNC4_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0140)
#define GPIO_GPIO_SIG4_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG4_IN_SEL_S 7
#define GPIO_GPIO_FUNC4_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC4_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC4_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC4_IN_SEL_S 0

#define GPIO_FUNC5_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0144)
#define GPIO_GPIO_SIG5_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG5_IN_SEL_S 7
#define GPIO_GPIO_FUNC5_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC5_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC5_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC5_IN_SEL_S 0

#define GPIO_FUNC6_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0148)
#define GPIO_GPIO_SIG6_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG6_IN_SEL_S 7
#define GPIO_GPIO_FUNC6_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC6_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC6_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC6_IN_SEL_S 0

#define GPIO_FUNC7_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x014c)
#define GPIO_GPIO_SIG7_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG7_IN_SEL_S 7
#define GPIO_GPIO_FUNC7_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC7_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC7_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC7_IN_SEL_S 0

#define GPIO_FUNC8_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0150)
#define GPIO_GPIO_SIG8_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG8_IN_SEL_S 7
#define GPIO_GPIO_FUNC8_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC8_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC8_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC8_IN_SEL_S 0

#define GPIO_FUNC9_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0154)
#define GPIO_GPIO_SIG9_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG9_IN_SEL_S 7
#define GPIO_GPIO_FUNC9_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC9_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC9_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC9_IN_SEL_S 0

#define GPIO_FUNC10_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0158)
#define GPIO_GPIO_SIG10_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG10_IN_SEL_S 7
#define GPIO_GPIO_FUNC10_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC10_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC10_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC10_IN_SEL_S 0

#define GPIO_FUNC11_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x015c)
#define GPIO_GPIO_SIG11_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG11_IN_SEL_S 7
#define GPIO_GPIO_FUNC11_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC11_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC11_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC11_IN_SEL_S 0

#define GPIO_FUNC12_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0160)
#define GPIO_GPIO_SIG12_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG12_IN_SEL_S 7
#define GPIO_GPIO_FUNC12_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC12_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC12_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC12_IN_SEL_S 0

#define GPIO_FUNC13_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0164)
#define GPIO_GPIO_SIG13_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG13_IN_SEL_S 7
#define GPIO_GPIO_FUNC13_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC13_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC13_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC13_IN_SEL_S 0

#define GPIO_FUNC14_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0168)
#define GPIO_GPIO_SIG14_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG14_IN_SEL_S 7
#define GPIO_GPIO_FUNC14_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC14_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC14_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC14_IN_SEL_S 0

#define GPIO_FUNC15_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x016c)
#define GPIO_GPIO_SIG15_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG15_IN_SEL_S 7
#define GPIO_GPIO_FUNC15_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC15_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC15_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC15_IN_SEL_S 0

#define GPIO_FUNC16_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0170)
#define GPIO_GPIO_SIG16_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG16_IN_SEL_S 7
#define GPIO_GPIO_FUNC16_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC16_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC16_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC16_IN_SEL_S 0

#define GPIO_FUNC17_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0174)
#define GPIO_GPIO_SIG17_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG17_IN_SEL_S 7
#define GPIO_GPIO_FUNC17_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC17_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC17_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC17_IN_SEL_S 0

#define GPIO_FUNC18_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0178)
#define GPIO_GPIO_SIG18_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG18_IN_SEL_S 7
#define GPIO_GPIO_FUNC18_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC18_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC18_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC18_IN_SEL_S 0

#define GPIO_FUNC19_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x017c)
#define GPIO_GPIO_SIG19_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG19_IN_SEL_S 7
#define GPIO_GPIO_FUNC19_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC19_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC19_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC19_IN_SEL_S 0

#define GPIO_FUNC20_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0180)
#define GPIO_GPIO_SIG20_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG20_IN_SEL_S 7
#define GPIO_GPIO_FUNC20_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC20_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC20_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC20_IN_SEL_S 0

#define GPIO_FUNC21_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0184)
#define GPIO_GPIO_SIG21_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG21_IN_SEL_S 7
#define GPIO_GPIO_FUNC21_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC21_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC21_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC21_IN_SEL_S 0

#define GPIO_FUNC22_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0188)
#define GPIO_GPIO_SIG22_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG22_IN_SEL_S 7
#define GPIO_GPIO_FUNC22_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC22_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC22_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC22_IN_SEL_S 0

#define GPIO_FUNC23_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x018c)
#define GPIO_GPIO_SIG23_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG23_IN_SEL_S 7
#define GPIO_GPIO_FUNC23_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC23_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC23_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC23_IN_SEL_S 0

#define GPIO_FUNC24_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0190)
#define GPIO_GPIO_SIG24_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG24_IN_SEL_S 7
#define GPIO_GPIO_FUNC24_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC24_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC24_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC24_IN_SEL_S 0

#define GPIO_FUNC25_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0194)
#define GPIO_GPIO_SIG25_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG25_IN_SEL_S 7
#define GPIO_GPIO_FUNC25_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC25_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC25_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC25_IN_SEL_S 0

#define GPIO_FUNC26_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0198)
#define GPIO_GPIO_SIG26_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG26_IN_SEL_S 7
#define GPIO_GPIO_FUNC26_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC26_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC26_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC26_IN_SEL_S 0

#define GPIO_FUNC27_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x019c)
#define GPIO_GPIO_SIG27_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG27_IN_SEL_S 7
#define GPIO_GPIO_FUNC27_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC27_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC27_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC27_IN_SEL_S 0

#define GPIO_FUNC28_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x01a0)
#define GPIO_GPIO_SIG28_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG28_IN_SEL_S 7
#define GPIO_GPIO_FUNC28_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC28_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC28_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC28_IN_SEL_S 0

#define GPIO_FUNC29_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x01a4)
#define GPIO_GPIO_SIG29_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG29_IN_SEL_S 7
#define GPIO_GPIO_FUNC29_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC29_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC29_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC29_IN_SEL_S 0

#define GPIO_FUNC30_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x01a8)
#define GPIO_GPIO_SIG30_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG30_IN_SEL_S 7
#define GPIO_GPIO_FUNC30_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC30_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC30_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC30_IN_SEL_S 0

#define GPIO_FUNC31_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x01ac)
#define GPIO_GPIO_SIG31_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG31_IN_SEL_S 7
#define GPIO_GPIO_FUNC31_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC31_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC31_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC31_IN_SEL_S 0

#define GPIO_FUNC32_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x01b0)
#define GPIO_GPIO_SIG32_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG32_IN_SEL_S 7
#define GPIO_GPIO_FUNC32_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC32_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC32_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC32_IN_SEL_S 0

#define GPIO_FUNC33_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x01b4)
#define GPIO_GPIO_SIG33_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG33_IN_SEL_S 7
#define GPIO_GPIO_FUNC33_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC33_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC33_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC33_IN_SEL_S 0

#define GPIO_FUNC34_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x01b8)
#define GPIO_GPIO_SIG34_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG34_IN_SEL_S 7
#define GPIO_GPIO_FUNC34_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC34_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC34_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC34_IN_SEL_S 0

#define GPIO_FUNC35_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x01bc)
#define GPIO_GPIO_SIG35_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG35_IN_SEL_S 7
#define GPIO_GPIO_FUNC35_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC35_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC35_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC35_IN_SEL_S 0

#define GPIO_FUNC36_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x01c0)
#define GPIO_GPIO_SIG36_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG36_IN_SEL_S 7
#define GPIO_GPIO_FUNC36_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC36_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC36_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC36_IN_SEL_S 0

#define GPIO_FUNC37_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x01c4)
#define GPIO_GPIO_SIG37_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG37_IN_SEL_S 7
#define GPIO_GPIO_FUNC37_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC37_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC37_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC37_IN_SEL_S 0

#define GPIO_FUNC38_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x01c8)
#define GPIO_GPIO_SIG38_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG38_IN_SEL_S 7
#define GPIO_GPIO_FUNC38_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC38_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC38_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC38_IN_SEL_S 0

#define GPIO_FUNC39_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x01cc)
#define GPIO_GPIO_SIG39_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG39_IN_SEL_S 7
#define GPIO_GPIO_FUNC39_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC39_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC39_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC39_IN_SEL_S 0

#define GPIO_FUNC40_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x01d0)
#define GPIO_GPIO_SIG40_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG40_IN_SEL_S 7
#define GPIO_GPIO_FUNC40_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC40_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC40_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC40_IN_SEL_S 0

#define GPIO_FUNC41_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x01d4)
#define GPIO_GPIO_SIG41_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG41_IN_SEL_S 7
#define GPIO_GPIO_FUNC41_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC41_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC41_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC41_IN_SEL_S 0

#define GPIO_FUNC42_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x01d8)
#define GPIO_GPIO_SIG42_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG42_IN_SEL_S 7
#define GPIO_GPIO_FUNC42_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC42_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC42_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC42_IN_SEL_S 0

#define GPIO_FUNC43_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x01dc)
#define GPIO_GPIO_SIG43_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG43_IN_SEL_S 7
#define GPIO_GPIO_FUNC43_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC43_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC43_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC43_IN_SEL_S 0

#define GPIO_FUNC44_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x01e0)
#define GPIO_GPIO_SIG44_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG44_IN_SEL_S 7
#define GPIO_GPIO_FUNC44_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC44_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC44_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC44_IN_SEL_S 0

#define GPIO_FUNC45_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x01e4)
#define GPIO_GPIO_SIG45_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG45_IN_SEL_S 7
#define GPIO_GPIO_FUNC45_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC45_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC45_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC45_IN_SEL_S 0

#define GPIO_FUNC46_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x01e8)
#define GPIO_GPIO_SIG46_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG46_IN_SEL_S 7
#define GPIO_GPIO_FUNC46_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC46_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC46_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC46_IN_SEL_S 0

#define GPIO_FUNC47_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x01ec)
#define GPIO_GPIO_SIG47_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG47_IN_SEL_S 7
#define GPIO_GPIO_FUNC47_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC47_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC47_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC47_IN_SEL_S 0

#define GPIO_FUNC48_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x01f0)
#define GPIO_GPIO_SIG48_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG48_IN_SEL_S 7
#define GPIO_GPIO_FUNC48_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC48_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC48_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC48_IN_SEL_S 0

#define GPIO_FUNC49_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x01f4)
#define GPIO_GPIO_SIG49_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG49_IN_SEL_S 7
#define GPIO_GPIO_FUNC49_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC49_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC49_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC49_IN_SEL_S 0

#define GPIO_FUNC50_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x01f8)
#define GPIO_GPIO_SIG50_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG50_IN_SEL_S 7
#define GPIO_GPIO_FUNC50_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC50_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC50_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC50_IN_SEL_S 0

#define GPIO_FUNC51_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x01fc)
#define GPIO_GPIO_SIG51_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG51_IN_SEL_S 7
#define GPIO_GPIO_FUNC51_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC51_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC51_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC51_IN_SEL_S 0

#define GPIO_FUNC52_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0200)
#define GPIO_GPIO_SIG52_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG52_IN_SEL_S 7
#define GPIO_GPIO_FUNC52_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC52_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC52_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC52_IN_SEL_S 0

#define GPIO_FUNC53_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0204)
#define GPIO_GPIO_SIG53_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG53_IN_SEL_S 7
#define GPIO_GPIO_FUNC53_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC53_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC53_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC53_IN_SEL_S 0

#define GPIO_FUNC54_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0208)
#define GPIO_GPIO_SIG54_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG54_IN_SEL_S 7
#define GPIO_GPIO_FUNC54_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC54_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC54_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC54_IN_SEL_S 0

#define GPIO_FUNC55_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x020c)
#define GPIO_GPIO_SIG55_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG55_IN_SEL_S 7
#define GPIO_GPIO_FUNC55_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC55_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC55_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC55_IN_SEL_S 0

#define GPIO_FUNC56_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0210)
#define GPIO_GPIO_SIG56_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG56_IN_SEL_S 7
#define GPIO_GPIO_FUNC56_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC56_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC56_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC56_IN_SEL_S 0

#define GPIO_FUNC57_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0214)
#define GPIO_GPIO_SIG57_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG57_IN_SEL_S 7
#define GPIO_GPIO_FUNC57_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC57_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC57_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC57_IN_SEL_S 0

#define GPIO_FUNC58_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0218)
#define GPIO_GPIO_SIG58_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG58_IN_SEL_S 7
#define GPIO_GPIO_FUNC58_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC58_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC58_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC58_IN_SEL_S 0

#define GPIO_FUNC59_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x021c)
#define GPIO_GPIO_SIG59_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG59_IN_SEL_S 7
#define GPIO_GPIO_FUNC59_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC59_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC59_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC59_IN_SEL_S 0

#define GPIO_FUNC60_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0220)
#define GPIO_GPIO_SIG60_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG60_IN_SEL_S 7
#define GPIO_GPIO_FUNC60_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC60_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC60_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC60_IN_SEL_S 0

#define GPIO_FUNC61_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0224)
#define GPIO_GPIO_SIG61_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG61_IN_SEL_S 7
#define GPIO_GPIO_FUNC61_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC61_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC61_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC61_IN_SEL_S 0

#define GPIO_FUNC62_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0228)
#define GPIO_GPIO_SIG62_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG62_IN_SEL_S 7
#define GPIO_GPIO_FUNC62_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC62_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC62_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC62_IN_SEL_S 0

#define GPIO_FUNC63_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x022c)
#define GPIO_GPIO_SIG63_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG63_IN_SEL_S 7
#define GPIO_GPIO_FUNC63_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC63_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC63_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC63_IN_SEL_S 0

#define GPIO_FUNC64_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0230)
#define GPIO_GPIO_SIG64_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG64_IN_SEL_S 7
#define GPIO_GPIO_FUNC64_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC64_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC64_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC64_IN_SEL_S 0

#define GPIO_FUNC65_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0234)
#define GPIO_GPIO_SIG65_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG65_IN_SEL_S 7
#define GPIO_GPIO_FUNC65_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC65_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC65_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC65_IN_SEL_S 0

#define GPIO_FUNC66_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0238)
#define GPIO_GPIO_SIG66_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG66_IN_SEL_S 7
#define GPIO_GPIO_FUNC66_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC66_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC66_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC66_IN_SEL_S 0

#define GPIO_FUNC67_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x023c)
#define GPIO_GPIO_SIG67_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG67_IN_SEL_S 7
#define GPIO_GPIO_FUNC67_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC67_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC67_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC67_IN_SEL_S 0

#define GPIO_FUNC68_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0240)
#define GPIO_GPIO_SIG68_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG68_IN_SEL_S 7
#define GPIO_GPIO_FUNC68_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC68_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC68_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC68_IN_SEL_S 0

#define GPIO_FUNC69_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0244)
#define GPIO_GPIO_SIG69_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG69_IN_SEL_S 7
#define GPIO_GPIO_FUNC69_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC69_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC69_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC69_IN_SEL_S 0

#define GPIO_FUNC70_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0248)
#define GPIO_GPIO_SIG70_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG70_IN_SEL_S 7
#define GPIO_GPIO_FUNC70_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC70_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC70_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC70_IN_SEL_S 0

#define GPIO_FUNC71_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x024c)
#define GPIO_GPIO_SIG71_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG71_IN_SEL_S 7
#define GPIO_GPIO_FUNC71_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC71_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC71_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC71_IN_SEL_S 0

#define GPIO_FUNC72_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0250)
#define GPIO_GPIO_SIG72_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG72_IN_SEL_S 7
#define GPIO_GPIO_FUNC72_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC72_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC72_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC72_IN_SEL_S 0

#define GPIO_FUNC73_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0254)
#define GPIO_GPIO_SIG73_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG73_IN_SEL_S 7
#define GPIO_GPIO_FUNC73_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC73_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC73_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC73_IN_SEL_S 0

#define GPIO_FUNC74_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0258)
#define GPIO_GPIO_SIG74_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG74_IN_SEL_S 7
#define GPIO_GPIO_FUNC74_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC74_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC74_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC74_IN_SEL_S 0

#define GPIO_FUNC75_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x025c)
#define GPIO_GPIO_SIG75_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG75_IN_SEL_S 7
#define GPIO_GPIO_FUNC75_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC75_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC75_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC75_IN_SEL_S 0

#define GPIO_FUNC76_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0260)
#define GPIO_GPIO_SIG76_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG76_IN_SEL_S 7
#define GPIO_GPIO_FUNC76_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC76_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC76_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC76_IN_SEL_S 0

#define GPIO_FUNC77_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0264)
#define GPIO_GPIO_SIG77_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG77_IN_SEL_S 7
#define GPIO_GPIO_FUNC77_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC77_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC77_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC77_IN_SEL_S 0

#define GPIO_FUNC78_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0268)
#define GPIO_GPIO_SIG78_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG78_IN_SEL_S 7
#define GPIO_GPIO_FUNC78_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC78_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC78_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC78_IN_SEL_S 0

#define GPIO_FUNC79_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x026c)
#define GPIO_GPIO_SIG79_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG79_IN_SEL_S 7
#define GPIO_GPIO_FUNC79_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC79_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC79_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC79_IN_SEL_S 0

#define GPIO_FUNC80_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0270)
#define GPIO_GPIO_SIG80_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG80_IN_SEL_S 7
#define GPIO_GPIO_FUNC80_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC80_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC80_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC80_IN_SEL_S 0

#define GPIO_FUNC81_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0274)
#define GPIO_GPIO_SIG81_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG81_IN_SEL_S 7
#define GPIO_GPIO_FUNC81_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC81_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC81_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC81_IN_SEL_S 0

#define GPIO_FUNC82_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0278)
#define GPIO_GPIO_SIG82_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG82_IN_SEL_S 7
#define GPIO_GPIO_FUNC82_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC82_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC82_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC82_IN_SEL_S 0

#define GPIO_FUNC83_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x027c)
#define GPIO_GPIO_SIG83_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG83_IN_SEL_S 7
#define GPIO_GPIO_FUNC83_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC83_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC83_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC83_IN_SEL_S 0

#define GPIO_FUNC84_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0280)
#define GPIO_GPIO_SIG84_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG84_IN_SEL_S 7
#define GPIO_GPIO_FUNC84_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC84_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC84_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC84_IN_SEL_S 0

#define GPIO_FUNC85_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0284)
#define GPIO_GPIO_SIG85_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG85_IN_SEL_S 7
#define GPIO_GPIO_FUNC85_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC85_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC85_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC85_IN_SEL_S 0

#define GPIO_FUNC86_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0288)
#define GPIO_GPIO_SIG86_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG86_IN_SEL_S 7
#define GPIO_GPIO_FUNC86_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC86_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC86_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC86_IN_SEL_S 0

#define GPIO_FUNC87_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x028c)
#define GPIO_GPIO_SIG87_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG87_IN_SEL_S 7
#define GPIO_GPIO_FUNC87_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC87_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC87_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC87_IN_SEL_S 0

#define GPIO_FUNC88_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0290)
#define GPIO_GPIO_SIG88_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG88_IN_SEL_S 7
#define GPIO_GPIO_FUNC88_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC88_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC88_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC88_IN_SEL_S 0

#define GPIO_FUNC89_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0294)
#define GPIO_GPIO_SIG89_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG89_IN_SEL_S 7
#define GPIO_GPIO_FUNC89_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC89_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC89_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC89_IN_SEL_S 0

#define GPIO_FUNC90_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0298)
#define GPIO_GPIO_SIG90_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG90_IN_SEL_S 7
#define GPIO_GPIO_FUNC90_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC90_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC90_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC90_IN_SEL_S 0

#define GPIO_FUNC91_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x029c)
#define GPIO_GPIO_SIG91_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG91_IN_SEL_S 7
#define GPIO_GPIO_FUNC91_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC91_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC91_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC91_IN_SEL_S 0

#define GPIO_FUNC92_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x02a0)
#define GPIO_GPIO_SIG92_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG92_IN_SEL_S 7
#define GPIO_GPIO_FUNC92_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC92_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC92_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC92_IN_SEL_S 0

#define GPIO_FUNC93_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x02a4)
#define GPIO_GPIO_SIG93_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG93_IN_SEL_S 7
#define GPIO_GPIO_FUNC93_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC93_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC93_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC93_IN_SEL_S 0

#define GPIO_FUNC94_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x02a8)
#define GPIO_GPIO_SIG94_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG94_IN_SEL_S 7
#define GPIO_GPIO_FUNC94_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC94_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC94_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC94_IN_SEL_S 0

#define GPIO_FUNC95_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x02ac)
#define GPIO_GPIO_SIG95_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG95_IN_SEL_S 7
#define GPIO_GPIO_FUNC95_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC95_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC95_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC95_IN_SEL_S 0

#define GPIO_FUNC96_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x02b0)
#define GPIO_GPIO_SIG96_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG96_IN_SEL_S 7
#define GPIO_GPIO_FUNC96_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC96_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC96_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC96_IN_SEL_S 0

#define GPIO_FUNC97_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x02b4)
#define GPIO_GPIO_SIG97_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG97_IN_SEL_S 7
#define GPIO_GPIO_FUNC97_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC97_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC97_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC97_IN_SEL_S 0

#define GPIO_FUNC98_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x02b8)
#define GPIO_GPIO_SIG98_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG98_IN_SEL_S 7
#define GPIO_GPIO_FUNC98_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC98_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC98_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC98_IN_SEL_S 0

#define GPIO_FUNC99_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x02bc)
#define GPIO_GPIO_SIG99_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG99_IN_SEL_S 7
#define GPIO_GPIO_FUNC99_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC99_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC99_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC99_IN_SEL_S 0

#define GPIO_FUNC100_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x02c0)
#define GPIO_GPIO_SIG100_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG100_IN_SEL_S 7
#define GPIO_GPIO_FUNC100_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC100_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC100_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC100_IN_SEL_S 0

#define GPIO_FUNC101_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x02c4)
#define GPIO_GPIO_SIG101_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG101_IN_SEL_S 7
#define GPIO_GPIO_FUNC101_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC101_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC101_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC101_IN_SEL_S 0

#define GPIO_FUNC102_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x02c8)
#define GPIO_GPIO_SIG102_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG102_IN_SEL_S 7
#define GPIO_GPIO_FUNC102_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC102_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC102_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC102_IN_SEL_S 0

#define GPIO_FUNC103_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x02cc)
#define GPIO_GPIO_SIG103_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG103_IN_SEL_S 7
#define GPIO_GPIO_FUNC103_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC103_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC103_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC103_IN_SEL_S 0

#define GPIO_FUNC104_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x02d0)
#define GPIO_GPIO_SIG104_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG104_IN_SEL_S 7
#define GPIO_GPIO_FUNC104_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC104_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC104_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC104_IN_SEL_S 0

#define GPIO_FUNC105_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x02d4)
#define GPIO_GPIO_SIG105_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG105_IN_SEL_S 7
#define GPIO_GPIO_FUNC105_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC105_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC105_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC105_IN_SEL_S 0

#define GPIO_FUNC106_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x02d8)
#define GPIO_GPIO_SIG106_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG106_IN_SEL_S 7
#define GPIO_GPIO_FUNC106_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC106_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC106_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC106_IN_SEL_S 0

#define GPIO_FUNC107_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x02dc)
#define GPIO_GPIO_SIG107_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG107_IN_SEL_S 7
#define GPIO_GPIO_FUNC107_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC107_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC107_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC107_IN_SEL_S 0

#define GPIO_FUNC108_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x02e0)
#define GPIO_GPIO_SIG108_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG108_IN_SEL_S 7
#define GPIO_GPIO_FUNC108_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC108_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC108_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC108_IN_SEL_S 0

#define GPIO_FUNC109_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x02e4)
#define GPIO_GPIO_SIG109_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG109_IN_SEL_S 7
#define GPIO_GPIO_FUNC109_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC109_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC109_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC109_IN_SEL_S 0

#define GPIO_FUNC110_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x02e8)
#define GPIO_GPIO_SIG110_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG110_IN_SEL_S 7
#define GPIO_GPIO_FUNC110_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC110_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC110_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC110_IN_SEL_S 0

#define GPIO_FUNC111_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x02ec)
#define GPIO_GPIO_SIG111_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG111_IN_SEL_S 7
#define GPIO_GPIO_FUNC111_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC111_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC111_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC111_IN_SEL_S 0

#define GPIO_FUNC112_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x02f0)
#define GPIO_GPIO_SIG112_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG112_IN_SEL_S 7
#define GPIO_GPIO_FUNC112_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC112_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC112_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC112_IN_SEL_S 0

#define GPIO_FUNC113_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x02f4)
#define GPIO_GPIO_SIG113_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG113_IN_SEL_S 7
#define GPIO_GPIO_FUNC113_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC113_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC113_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC113_IN_SEL_S 0

#define GPIO_FUNC114_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x02f8)
#define GPIO_GPIO_SIG114_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG114_IN_SEL_S 7
#define GPIO_GPIO_FUNC114_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC114_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC114_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC114_IN_SEL_S 0

#define GPIO_FUNC115_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x02fc)
#define GPIO_GPIO_SIG115_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG115_IN_SEL_S 7
#define GPIO_GPIO_FUNC115_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC115_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC115_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC115_IN_SEL_S 0

#define GPIO_FUNC116_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0300)
#define GPIO_GPIO_SIG116_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG116_IN_SEL_S 7
#define GPIO_GPIO_FUNC116_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC116_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC116_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC116_IN_SEL_S 0

#define GPIO_FUNC117_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0304)
#define GPIO_GPIO_SIG117_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG117_IN_SEL_S 7
#define GPIO_GPIO_FUNC117_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC117_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC117_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC117_IN_SEL_S 0

#define GPIO_FUNC118_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0308)
#define GPIO_GPIO_SIG118_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG118_IN_SEL_S 7
#define GPIO_GPIO_FUNC118_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC118_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC118_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC118_IN_SEL_S 0

#define GPIO_FUNC119_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x030c)
#define GPIO_GPIO_SIG119_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG119_IN_SEL_S 7
#define GPIO_GPIO_FUNC119_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC119_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC119_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC119_IN_SEL_S 0

#define GPIO_FUNC120_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0310)
#define GPIO_GPIO_SIG120_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG120_IN_SEL_S 7
#define GPIO_GPIO_FUNC120_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC120_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC120_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC120_IN_SEL_S 0

#define GPIO_FUNC121_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0314)
#define GPIO_GPIO_SIG121_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG121_IN_SEL_S 7
#define GPIO_GPIO_FUNC121_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC121_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC121_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC121_IN_SEL_S 0

#define GPIO_FUNC122_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0318)
#define GPIO_GPIO_SIG122_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG122_IN_SEL_S 7
#define GPIO_GPIO_FUNC122_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC122_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC122_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC122_IN_SEL_S 0

#define GPIO_FUNC123_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x031c)
#define GPIO_GPIO_SIG123_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG123_IN_SEL_S 7
#define GPIO_GPIO_FUNC123_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC123_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC123_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC123_IN_SEL_S 0

#define GPIO_FUNC124_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0320)
#define GPIO_GPIO_SIG124_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG124_IN_SEL_S 7
#define GPIO_GPIO_FUNC124_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC124_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC124_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC124_IN_SEL_S 0

#define GPIO_FUNC125_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0324)
#define GPIO_GPIO_SIG125_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG125_IN_SEL_S 7
#define GPIO_GPIO_FUNC125_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC125_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC125_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC125_IN_SEL_S 0

#define GPIO_FUNC126_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0328)
#define GPIO_GPIO_SIG126_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG126_IN_SEL_S 7
#define GPIO_GPIO_FUNC126_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC126_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC126_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC126_IN_SEL_S 0

#define GPIO_FUNC127_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x032c)
#define GPIO_GPIO_SIG127_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG127_IN_SEL_S 7
#define GPIO_GPIO_FUNC127_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC127_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC127_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC127_IN_SEL_S 0

#define GPIO_FUNC128_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0330)
#define GPIO_GPIO_SIG128_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG128_IN_SEL_S 7
#define GPIO_GPIO_FUNC128_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC128_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC128_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC128_IN_SEL_S 0

#define GPIO_FUNC129_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0334)
#define GPIO_GPIO_SIG129_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG129_IN_SEL_S 7
#define GPIO_GPIO_FUNC129_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC129_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC129_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC129_IN_SEL_S 0

#define GPIO_FUNC130_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0338)
#define GPIO_GPIO_SIG130_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG130_IN_SEL_S 7
#define GPIO_GPIO_FUNC130_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC130_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC130_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC130_IN_SEL_S 0

#define GPIO_FUNC131_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x033c)
#define GPIO_GPIO_SIG131_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG131_IN_SEL_S 7
#define GPIO_GPIO_FUNC131_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC131_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC131_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC131_IN_SEL_S 0

#define GPIO_FUNC132_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0340)
#define GPIO_GPIO_SIG132_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG132_IN_SEL_S 7
#define GPIO_GPIO_FUNC132_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC132_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC132_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC132_IN_SEL_S 0

#define GPIO_FUNC133_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0344)
#define GPIO_GPIO_SIG133_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG133_IN_SEL_S 7
#define GPIO_GPIO_FUNC133_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC133_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC133_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC133_IN_SEL_S 0

#define GPIO_FUNC134_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0348)
#define GPIO_GPIO_SIG134_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG134_IN_SEL_S 7
#define GPIO_GPIO_FUNC134_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC134_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC134_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC134_IN_SEL_S 0

#define GPIO_FUNC135_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x034c)
#define GPIO_GPIO_SIG135_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG135_IN_SEL_S 7
#define GPIO_GPIO_FUNC135_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC135_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC135_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC135_IN_SEL_S 0

#define GPIO_FUNC136_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0350)
#define GPIO_GPIO_SIG136_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG136_IN_SEL_S 7
#define GPIO_GPIO_FUNC136_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC136_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC136_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC136_IN_SEL_S 0

#define GPIO_FUNC137_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0354)
#define GPIO_GPIO_SIG137_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG137_IN_SEL_S 7
#define GPIO_GPIO_FUNC137_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC137_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC137_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC137_IN_SEL_S 0

#define GPIO_FUNC138_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0358)
#define GPIO_GPIO_SIG138_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG138_IN_SEL_S 7
#define GPIO_GPIO_FUNC138_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC138_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC138_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC138_IN_SEL_S 0

#define GPIO_FUNC139_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x035c)
#define GPIO_GPIO_SIG139_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG139_IN_SEL_S 7
#define GPIO_GPIO_FUNC139_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC139_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC139_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC139_IN_SEL_S 0

#define GPIO_FUNC140_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0360)
#define GPIO_GPIO_SIG140_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG140_IN_SEL_S 7
#define GPIO_GPIO_FUNC140_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC140_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC140_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC140_IN_SEL_S 0

#define GPIO_FUNC141_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0364)
#define GPIO_GPIO_SIG141_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG141_IN_SEL_S 7
#define GPIO_GPIO_FUNC141_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC141_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC141_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC141_IN_SEL_S 0

#define GPIO_FUNC142_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0368)
#define GPIO_GPIO_SIG142_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG142_IN_SEL_S 7
#define GPIO_GPIO_FUNC142_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC142_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC142_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC142_IN_SEL_S 0

#define GPIO_FUNC143_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x036c)
#define GPIO_GPIO_SIG143_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG143_IN_SEL_S 7
#define GPIO_GPIO_FUNC143_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC143_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC143_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC143_IN_SEL_S 0

#define GPIO_FUNC144_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0370)
#define GPIO_GPIO_SIG144_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG144_IN_SEL_S 7
#define GPIO_GPIO_FUNC144_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC144_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC144_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC144_IN_SEL_S 0

#define GPIO_FUNC145_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0374)
#define GPIO_GPIO_SIG145_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG145_IN_SEL_S 7
#define GPIO_GPIO_FUNC145_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC145_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC145_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC145_IN_SEL_S 0

#define GPIO_FUNC146_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0378)
#define GPIO_GPIO_SIG146_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG146_IN_SEL_S 7
#define GPIO_GPIO_FUNC146_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC146_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC146_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC146_IN_SEL_S 0

#define GPIO_FUNC147_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x037c)
#define GPIO_GPIO_SIG147_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG147_IN_SEL_S 7
#define GPIO_GPIO_FUNC147_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC147_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC147_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC147_IN_SEL_S 0

#define GPIO_FUNC148_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0380)
#define GPIO_GPIO_SIG148_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG148_IN_SEL_S 7
#define GPIO_GPIO_FUNC148_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC148_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC148_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC148_IN_SEL_S 0

#define GPIO_FUNC149_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0384)
#define GPIO_GPIO_SIG149_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG149_IN_SEL_S 7
#define GPIO_GPIO_FUNC149_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC149_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC149_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC149_IN_SEL_S 0

#define GPIO_FUNC150_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0388)
#define GPIO_GPIO_SIG150_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG150_IN_SEL_S 7
#define GPIO_GPIO_FUNC150_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC150_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC150_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC150_IN_SEL_S 0

#define GPIO_FUNC151_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x038c)
#define GPIO_GPIO_SIG151_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG151_IN_SEL_S 7
#define GPIO_GPIO_FUNC151_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC151_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC151_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC151_IN_SEL_S 0

#define GPIO_FUNC152_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0390)
#define GPIO_GPIO_SIG152_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG152_IN_SEL_S 7
#define GPIO_GPIO_FUNC152_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC152_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC152_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC152_IN_SEL_S 0

#define GPIO_FUNC153_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0394)
#define GPIO_GPIO_SIG153_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG153_IN_SEL_S 7
#define GPIO_GPIO_FUNC153_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC153_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC153_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC153_IN_SEL_S 0

#define GPIO_FUNC154_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0398)
#define GPIO_GPIO_SIG154_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG154_IN_SEL_S 7
#define GPIO_GPIO_FUNC154_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC154_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC154_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC154_IN_SEL_S 0

#define GPIO_FUNC155_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x039c)
#define GPIO_GPIO_SIG155_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG155_IN_SEL_S 7
#define GPIO_GPIO_FUNC155_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC155_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC155_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC155_IN_SEL_S 0

#define GPIO_FUNC156_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x03a0)
#define GPIO_GPIO_SIG156_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG156_IN_SEL_S 7
#define GPIO_GPIO_FUNC156_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC156_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC156_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC156_IN_SEL_S 0

#define GPIO_FUNC157_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x03a4)
#define GPIO_GPIO_SIG157_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG157_IN_SEL_S 7
#define GPIO_GPIO_FUNC157_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC157_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC157_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC157_IN_SEL_S 0

#define GPIO_FUNC158_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x03a8)
#define GPIO_GPIO_SIG158_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG158_IN_SEL_S 7
#define GPIO_GPIO_FUNC158_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC158_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC158_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC158_IN_SEL_S 0

#define GPIO_FUNC159_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x03ac)
#define GPIO_GPIO_SIG159_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG159_IN_SEL_S 7
#define GPIO_GPIO_FUNC159_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC159_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC159_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC159_IN_SEL_S 0

#define GPIO_FUNC160_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x03b0)
#define GPIO_GPIO_SIG160_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG160_IN_SEL_S 7
#define GPIO_GPIO_FUNC160_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC160_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC160_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC160_IN_SEL_S 0

#define GPIO_FUNC161_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x03b4)
#define GPIO_GPIO_SIG161_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG161_IN_SEL_S 7
#define GPIO_GPIO_FUNC161_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC161_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC161_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC161_IN_SEL_S 0

#define GPIO_FUNC162_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x03b8)
#define GPIO_GPIO_SIG162_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG162_IN_SEL_S 7
#define GPIO_GPIO_FUNC162_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC162_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC162_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC162_IN_SEL_S 0

#define GPIO_FUNC163_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x03bc)
#define GPIO_GPIO_SIG163_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG163_IN_SEL_S 7
#define GPIO_GPIO_FUNC163_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC163_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC163_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC163_IN_SEL_S 0

#define GPIO_FUNC164_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x03c0)
#define GPIO_GPIO_SIG164_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG164_IN_SEL_S 7
#define GPIO_GPIO_FUNC164_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC164_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC164_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC164_IN_SEL_S 0

#define GPIO_FUNC165_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x03c4)
#define GPIO_GPIO_SIG165_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG165_IN_SEL_S 7
#define GPIO_GPIO_FUNC165_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC165_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC165_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC165_IN_SEL_S 0

#define GPIO_FUNC166_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x03c8)
#define GPIO_GPIO_SIG166_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG166_IN_SEL_S 7
#define GPIO_GPIO_FUNC166_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC166_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC166_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC166_IN_SEL_S 0

#define GPIO_FUNC167_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x03cc)
#define GPIO_GPIO_SIG167_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG167_IN_SEL_S 7
#define GPIO_GPIO_FUNC167_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC167_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC167_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC167_IN_SEL_S 0

#define GPIO_FUNC168_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x03d0)
#define GPIO_GPIO_SIG168_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG168_IN_SEL_S 7
#define GPIO_GPIO_FUNC168_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC168_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC168_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC168_IN_SEL_S 0

#define GPIO_FUNC169_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x03d4)
#define GPIO_GPIO_SIG169_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG169_IN_SEL_S 7
#define GPIO_GPIO_FUNC169_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC169_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC169_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC169_IN_SEL_S 0

#define GPIO_FUNC170_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x03d8)
#define GPIO_GPIO_SIG170_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG170_IN_SEL_S 7
#define GPIO_GPIO_FUNC170_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC170_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC170_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC170_IN_SEL_S 0

#define GPIO_FUNC171_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x03dc)
#define GPIO_GPIO_SIG171_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG171_IN_SEL_S 7
#define GPIO_GPIO_FUNC171_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC171_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC171_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC171_IN_SEL_S 0

#define GPIO_FUNC172_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x03e0)
#define GPIO_GPIO_SIG172_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG172_IN_SEL_S 7
#define GPIO_GPIO_FUNC172_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC172_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC172_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC172_IN_SEL_S 0

#define GPIO_FUNC173_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x03e4)
#define GPIO_GPIO_SIG173_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG173_IN_SEL_S 7
#define GPIO_GPIO_FUNC173_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC173_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC173_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC173_IN_SEL_S 0

#define GPIO_FUNC174_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x03e8)
#define GPIO_GPIO_SIG174_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG174_IN_SEL_S 7
#define GPIO_GPIO_FUNC174_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC174_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC174_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC174_IN_SEL_S 0

#define GPIO_FUNC175_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x03ec)
#define GPIO_GPIO_SIG175_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG175_IN_SEL_S 7
#define GPIO_GPIO_FUNC175_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC175_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC175_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC175_IN_SEL_S 0

#define GPIO_FUNC176_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x03f0)
#define GPIO_GPIO_SIG176_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG176_IN_SEL_S 7
#define GPIO_GPIO_FUNC176_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC176_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC176_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC176_IN_SEL_S 0

#define GPIO_FUNC177_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x03f4)
#define GPIO_GPIO_SIG177_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG177_IN_SEL_S 7
#define GPIO_GPIO_FUNC177_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC177_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC177_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC177_IN_SEL_S 0

#define GPIO_FUNC178_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x03f8)
#define GPIO_GPIO_SIG178_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG178_IN_SEL_S 7
#define GPIO_GPIO_FUNC178_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC178_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC178_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC178_IN_SEL_S 0

#define GPIO_FUNC179_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x03fc)
#define GPIO_GPIO_SIG179_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG179_IN_SEL_S 7
#define GPIO_GPIO_FUNC179_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC179_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC179_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC179_IN_SEL_S 0

#define GPIO_FUNC180_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0400)
#define GPIO_GPIO_SIG180_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG180_IN_SEL_S 7
#define GPIO_GPIO_FUNC180_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC180_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC180_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC180_IN_SEL_S 0

#define GPIO_FUNC181_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0404)
#define GPIO_GPIO_SIG181_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG181_IN_SEL_S 7
#define GPIO_GPIO_FUNC181_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC181_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC181_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC181_IN_SEL_S 0

#define GPIO_FUNC182_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0408)
#define GPIO_GPIO_SIG182_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG182_IN_SEL_S 7
#define GPIO_GPIO_FUNC182_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC182_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC182_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC182_IN_SEL_S 0

#define GPIO_FUNC183_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x040c)
#define GPIO_GPIO_SIG183_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG183_IN_SEL_S 7
#define GPIO_GPIO_FUNC183_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC183_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC183_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC183_IN_SEL_S 0

#define GPIO_FUNC184_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0410)
#define GPIO_GPIO_SIG184_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG184_IN_SEL_S 7
#define GPIO_GPIO_FUNC184_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC184_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC184_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC184_IN_SEL_S 0

#define GPIO_FUNC185_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0414)
#define GPIO_GPIO_SIG185_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG185_IN_SEL_S 7
#define GPIO_GPIO_FUNC185_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC185_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC185_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC185_IN_SEL_S 0

#define GPIO_FUNC186_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0418)
#define GPIO_GPIO_SIG186_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG186_IN_SEL_S 7
#define GPIO_GPIO_FUNC186_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC186_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC186_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC186_IN_SEL_S 0

#define GPIO_FUNC187_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x041c)
#define GPIO_GPIO_SIG187_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG187_IN_SEL_S 7
#define GPIO_GPIO_FUNC187_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC187_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC187_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC187_IN_SEL_S 0

#define GPIO_FUNC188_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0420)
#define GPIO_GPIO_SIG188_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG188_IN_SEL_S 7
#define GPIO_GPIO_FUNC188_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC188_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC188_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC188_IN_SEL_S 0

#define GPIO_FUNC189_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0424)
#define GPIO_GPIO_SIG189_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG189_IN_SEL_S 7
#define GPIO_GPIO_FUNC189_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC189_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC189_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC189_IN_SEL_S 0

#define GPIO_FUNC190_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0428)
#define GPIO_GPIO_SIG190_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG190_IN_SEL_S 7
#define GPIO_GPIO_FUNC190_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC190_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC190_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC190_IN_SEL_S 0

#define GPIO_FUNC191_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x042c)
#define GPIO_GPIO_SIG191_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG191_IN_SEL_S 7
#define GPIO_GPIO_FUNC191_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC191_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC191_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC191_IN_SEL_S 0

#define GPIO_FUNC192_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0430)
#define GPIO_GPIO_SIG192_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG192_IN_SEL_S 7
#define GPIO_GPIO_FUNC192_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC192_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC192_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC192_IN_SEL_S 0

#define GPIO_FUNC193_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0434)
#define GPIO_GPIO_SIG193_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG193_IN_SEL_S 7
#define GPIO_GPIO_FUNC193_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC193_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC193_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC193_IN_SEL_S 0

#define GPIO_FUNC194_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0438)
#define GPIO_GPIO_SIG194_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG194_IN_SEL_S 7
#define GPIO_GPIO_FUNC194_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC194_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC194_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC194_IN_SEL_S 0

#define GPIO_FUNC195_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x043c)
#define GPIO_GPIO_SIG195_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG195_IN_SEL_S 7
#define GPIO_GPIO_FUNC195_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC195_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC195_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC195_IN_SEL_S 0

#define GPIO_FUNC196_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0440)
#define GPIO_GPIO_SIG196_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG196_IN_SEL_S 7
#define GPIO_GPIO_FUNC196_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC196_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC196_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC196_IN_SEL_S 0

#define GPIO_FUNC197_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0444)
#define GPIO_GPIO_SIG197_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG197_IN_SEL_S 7
#define GPIO_GPIO_FUNC197_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC197_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC197_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC197_IN_SEL_S 0

#define GPIO_FUNC198_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0448)
#define GPIO_GPIO_SIG198_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG198_IN_SEL_S 7
#define GPIO_GPIO_FUNC198_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC198_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC198_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC198_IN_SEL_S 0

#define GPIO_FUNC199_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x044c)
#define GPIO_GPIO_SIG199_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG199_IN_SEL_S 7
#define GPIO_GPIO_FUNC199_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC199_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC199_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC199_IN_SEL_S 0

#define GPIO_FUNC200_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0450)
#define GPIO_GPIO_SIG200_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG200_IN_SEL_S 7
#define GPIO_GPIO_FUNC200_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC200_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC200_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC200_IN_SEL_S 0

#define GPIO_FUNC201_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0454)
#define GPIO_GPIO_SIG201_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG201_IN_SEL_S 7
#define GPIO_GPIO_FUNC201_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC201_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC201_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC201_IN_SEL_S 0

#define GPIO_FUNC202_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0458)
#define GPIO_GPIO_SIG202_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG202_IN_SEL_S 7
#define GPIO_GPIO_FUNC202_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC202_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC202_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC202_IN_SEL_S 0

#define GPIO_FUNC203_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x045c)
#define GPIO_GPIO_SIG203_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG203_IN_SEL_S 7
#define GPIO_GPIO_FUNC203_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC203_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC203_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC203_IN_SEL_S 0

#define GPIO_FUNC204_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0460)
#define GPIO_GPIO_SIG204_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG204_IN_SEL_S 7
#define GPIO_GPIO_FUNC204_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC204_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC204_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC204_IN_SEL_S 0

#define GPIO_FUNC205_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0464)
#define GPIO_GPIO_SIG205_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG205_IN_SEL_S 7
#define GPIO_GPIO_FUNC205_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC205_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC205_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC205_IN_SEL_S 0

#define GPIO_FUNC206_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0468)
#define GPIO_GPIO_SIG206_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG206_IN_SEL_S 7
#define GPIO_GPIO_FUNC206_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC206_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC206_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC206_IN_SEL_S 0

#define GPIO_FUNC207_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x046c)
#define GPIO_GPIO_SIG207_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG207_IN_SEL_S 7
#define GPIO_GPIO_FUNC207_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC207_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC207_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC207_IN_SEL_S 0

#define GPIO_FUNC208_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0470)
#define GPIO_GPIO_SIG208_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG208_IN_SEL_S 7
#define GPIO_GPIO_FUNC208_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC208_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC208_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC208_IN_SEL_S 0

#define GPIO_FUNC209_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0474)
#define GPIO_GPIO_SIG209_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG209_IN_SEL_S 7
#define GPIO_GPIO_FUNC209_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC209_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC209_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC209_IN_SEL_S 0

#define GPIO_FUNC210_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0478)
#define GPIO_GPIO_SIG210_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG210_IN_SEL_S 7
#define GPIO_GPIO_FUNC210_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC210_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC210_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC210_IN_SEL_S 0

#define GPIO_FUNC211_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x047c)
#define GPIO_GPIO_SIG211_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG211_IN_SEL_S 7
#define GPIO_GPIO_FUNC211_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC211_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC211_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC211_IN_SEL_S 0

#define GPIO_FUNC212_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0480)
#define GPIO_GPIO_SIG212_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG212_IN_SEL_S 7
#define GPIO_GPIO_FUNC212_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC212_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC212_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC212_IN_SEL_S 0

#define GPIO_FUNC213_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0484)
#define GPIO_GPIO_SIG213_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG213_IN_SEL_S 7
#define GPIO_GPIO_FUNC213_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC213_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC213_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC213_IN_SEL_S 0

#define GPIO_FUNC214_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0488)
#define GPIO_GPIO_SIG214_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG214_IN_SEL_S 7
#define GPIO_GPIO_FUNC214_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC214_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC214_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC214_IN_SEL_S 0

#define GPIO_FUNC215_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x048c)
#define GPIO_GPIO_SIG215_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG215_IN_SEL_S 7
#define GPIO_GPIO_FUNC215_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC215_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC215_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC215_IN_SEL_S 0

#define GPIO_FUNC216_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0490)
#define GPIO_GPIO_SIG216_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG216_IN_SEL_S 7
#define GPIO_GPIO_FUNC216_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC216_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC216_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC216_IN_SEL_S 0

#define GPIO_FUNC217_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0494)
#define GPIO_GPIO_SIG217_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG217_IN_SEL_S 7
#define GPIO_GPIO_FUNC217_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC217_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC217_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC217_IN_SEL_S 0

#define GPIO_FUNC218_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0498)
#define GPIO_GPIO_SIG218_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG218_IN_SEL_S 7
#define GPIO_GPIO_FUNC218_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC218_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC218_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC218_IN_SEL_S 0

#define GPIO_FUNC219_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x049c)
#define GPIO_GPIO_SIG219_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG219_IN_SEL_S 7
#define GPIO_GPIO_FUNC219_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC219_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC219_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC219_IN_SEL_S 0

#define GPIO_FUNC220_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x04a0)
#define GPIO_GPIO_SIG220_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG220_IN_SEL_S 7
#define GPIO_GPIO_FUNC220_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC220_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC220_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC220_IN_SEL_S 0

#define GPIO_FUNC221_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x04a4)
#define GPIO_GPIO_SIG221_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG221_IN_SEL_S 7
#define GPIO_GPIO_FUNC221_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC221_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC221_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC221_IN_SEL_S 0

#define GPIO_FUNC222_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x04a8)
#define GPIO_GPIO_SIG222_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG222_IN_SEL_S 7
#define GPIO_GPIO_FUNC222_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC222_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC222_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC222_IN_SEL_S 0

#define GPIO_FUNC223_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x04ac)
#define GPIO_GPIO_SIG223_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG223_IN_SEL_S 7
#define GPIO_GPIO_FUNC223_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC223_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC223_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC223_IN_SEL_S 0

#define GPIO_FUNC224_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x04b0)
#define GPIO_GPIO_SIG224_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG224_IN_SEL_S 7
#define GPIO_GPIO_FUNC224_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC224_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC224_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC224_IN_SEL_S 0

#define GPIO_FUNC225_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x04b4)
#define GPIO_GPIO_SIG225_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG225_IN_SEL_S 7
#define GPIO_GPIO_FUNC225_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC225_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC225_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC225_IN_SEL_S 0

#define GPIO_FUNC226_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x04b8)
#define GPIO_GPIO_SIG226_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG226_IN_SEL_S 7
#define GPIO_GPIO_FUNC226_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC226_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC226_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC226_IN_SEL_S 0

#define GPIO_FUNC227_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x04bc)
#define GPIO_GPIO_SIG227_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG227_IN_SEL_S 7
#define GPIO_GPIO_FUNC227_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC227_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC227_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC227_IN_SEL_S 0

#define GPIO_FUNC228_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x04c0)
#define GPIO_GPIO_SIG228_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG228_IN_SEL_S 7
#define GPIO_GPIO_FUNC228_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC228_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC228_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC228_IN_SEL_S 0

#define GPIO_FUNC229_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x04c4)
#define GPIO_GPIO_SIG229_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG229_IN_SEL_S 7
#define GPIO_GPIO_FUNC229_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC229_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC229_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC229_IN_SEL_S 0

#define GPIO_FUNC230_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x04c8)
#define GPIO_GPIO_SIG230_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG230_IN_SEL_S 7
#define GPIO_GPIO_FUNC230_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC230_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC230_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC230_IN_SEL_S 0

#define GPIO_FUNC231_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x04cc)
#define GPIO_GPIO_SIG231_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG231_IN_SEL_S 7
#define GPIO_GPIO_FUNC231_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC231_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC231_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC231_IN_SEL_S 0

#define GPIO_FUNC232_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x04d0)
#define GPIO_GPIO_SIG232_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG232_IN_SEL_S 7
#define GPIO_GPIO_FUNC232_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC232_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC232_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC232_IN_SEL_S 0

#define GPIO_FUNC233_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x04d4)
#define GPIO_GPIO_SIG233_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG233_IN_SEL_S 7
#define GPIO_GPIO_FUNC233_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC233_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC233_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC233_IN_SEL_S 0

#define GPIO_FUNC234_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x04d8)
#define GPIO_GPIO_SIG234_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG234_IN_SEL_S 7
#define GPIO_GPIO_FUNC234_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC234_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC234_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC234_IN_SEL_S 0

#define GPIO_FUNC235_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x04dc)
#define GPIO_GPIO_SIG235_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG235_IN_SEL_S 7
#define GPIO_GPIO_FUNC235_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC235_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC235_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC235_IN_SEL_S 0

#define GPIO_FUNC236_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x04e0)
#define GPIO_GPIO_SIG236_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG236_IN_SEL_S 7
#define GPIO_GPIO_FUNC236_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC236_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC236_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC236_IN_SEL_S 0

#define GPIO_FUNC237_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x04e4)
#define GPIO_GPIO_SIG237_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG237_IN_SEL_S 7
#define GPIO_GPIO_FUNC237_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC237_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC237_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC237_IN_SEL_S 0

#define GPIO_FUNC238_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x04e8)
#define GPIO_GPIO_SIG238_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG238_IN_SEL_S 7
#define GPIO_GPIO_FUNC238_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC238_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC238_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC238_IN_SEL_S 0

#define GPIO_FUNC239_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x04ec)
#define GPIO_GPIO_SIG239_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG239_IN_SEL_S 7
#define GPIO_GPIO_FUNC239_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC239_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC239_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC239_IN_SEL_S 0

#define GPIO_FUNC240_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x04f0)
#define GPIO_GPIO_SIG240_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG240_IN_SEL_S 7
#define GPIO_GPIO_FUNC240_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC240_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC240_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC240_IN_SEL_S 0

#define GPIO_FUNC241_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x04f4)
#define GPIO_GPIO_SIG241_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG241_IN_SEL_S 7
#define GPIO_GPIO_FUNC241_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC241_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC241_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC241_IN_SEL_S 0

#define GPIO_FUNC242_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x04f8)
#define GPIO_GPIO_SIG242_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG242_IN_SEL_S 7
#define GPIO_GPIO_FUNC242_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC242_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC242_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC242_IN_SEL_S 0

#define GPIO_FUNC243_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x04fc)
#define GPIO_GPIO_SIG243_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG243_IN_SEL_S 7
#define GPIO_GPIO_FUNC243_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC243_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC243_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC243_IN_SEL_S 0

#define GPIO_FUNC244_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0500)
#define GPIO_GPIO_SIG244_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG244_IN_SEL_S 7
#define GPIO_GPIO_FUNC244_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC244_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC244_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC244_IN_SEL_S 0

#define GPIO_FUNC245_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0504)
#define GPIO_GPIO_SIG245_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG245_IN_SEL_S 7
#define GPIO_GPIO_FUNC245_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC245_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC245_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC245_IN_SEL_S 0

#define GPIO_FUNC246_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0508)
#define GPIO_GPIO_SIG246_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG246_IN_SEL_S 7
#define GPIO_GPIO_FUNC246_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC246_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC246_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC246_IN_SEL_S 0

#define GPIO_FUNC247_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x050c)
#define GPIO_GPIO_SIG247_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG247_IN_SEL_S 7
#define GPIO_GPIO_FUNC247_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC247_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC247_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC247_IN_SEL_S 0

#define GPIO_FUNC248_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0510)
#define GPIO_GPIO_SIG248_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG248_IN_SEL_S 7
#define GPIO_GPIO_FUNC248_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC248_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC248_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC248_IN_SEL_S 0

#define GPIO_FUNC249_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0514)
#define GPIO_GPIO_SIG249_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG249_IN_SEL_S 7
#define GPIO_GPIO_FUNC249_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC249_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC249_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC249_IN_SEL_S 0

#define GPIO_FUNC250_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0518)
#define GPIO_GPIO_SIG250_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG250_IN_SEL_S 7
#define GPIO_GPIO_FUNC250_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC250_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC250_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC250_IN_SEL_S 0

#define GPIO_FUNC251_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x051c)
#define GPIO_GPIO_SIG251_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG251_IN_SEL_S 7
#define GPIO_GPIO_FUNC251_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC251_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC251_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC251_IN_SEL_S 0

#define GPIO_FUNC252_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0520)
#define GPIO_GPIO_SIG252_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG252_IN_SEL_S 7
#define GPIO_GPIO_FUNC252_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC252_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC252_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC252_IN_SEL_S 0

#define GPIO_FUNC253_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0524)
#define GPIO_GPIO_SIG253_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG253_IN_SEL_S 7
#define GPIO_GPIO_FUNC253_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC253_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC253_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC253_IN_SEL_S 0

#define GPIO_FUNC254_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x0528)
#define GPIO_GPIO_SIG254_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG254_IN_SEL_S 7
#define GPIO_GPIO_FUNC254_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC254_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC254_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC254_IN_SEL_S 0

#define GPIO_FUNC255_IN_SEL_CFG (DR_REG_GPIO_BASE + 0x052c)
#define GPIO_GPIO_SIG255_IN_SEL (BIT(7))
#define GPIO_GPIO_SIG255_IN_SEL_S 7
#define GPIO_GPIO_FUNC255_IN_INV_SEL (BIT(6))
#define GPIO_GPIO_FUNC255_IN_INV_SEL_S 6
#define GPIO_GPIO_FUNC255_IN_SEL 0x0000003F
#define GPIO_GPIO_FUNC255_IN_SEL_S 0

#define GPIO_FUNC0_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x0530)
#define GPIO_GPIO_FUNC0_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC0_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC0_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC0_OEN_SEL_S 10
#define GPIO_GPIO_FUNC0_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC0_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC0_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC0_OUT_SEL_S 0

#define GPIO_FUNC1_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x0534)
#define GPIO_GPIO_FUNC1_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC1_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC1_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC1_OEN_SEL_S 10
#define GPIO_GPIO_FUNC1_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC1_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC1_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC1_OUT_SEL_S 0

#define GPIO_FUNC2_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x0538)
#define GPIO_GPIO_FUNC2_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC2_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC2_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC2_OEN_SEL_S 10
#define GPIO_GPIO_FUNC2_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC2_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC2_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC2_OUT_SEL_S 0

#define GPIO_FUNC3_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x053c)
#define GPIO_GPIO_FUNC3_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC3_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC3_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC3_OEN_SEL_S 10
#define GPIO_GPIO_FUNC3_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC3_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC3_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC3_OUT_SEL_S 0

#define GPIO_FUNC4_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x0540)
#define GPIO_GPIO_FUNC4_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC4_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC4_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC4_OEN_SEL_S 10
#define GPIO_GPIO_FUNC4_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC4_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC4_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC4_OUT_SEL_S 0

#define GPIO_FUNC5_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x0544)
#define GPIO_GPIO_FUNC5_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC5_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC5_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC5_OEN_SEL_S 10
#define GPIO_GPIO_FUNC5_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC5_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC5_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC5_OUT_SEL_S 0

#define GPIO_FUNC6_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x0548)
#define GPIO_GPIO_FUNC6_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC6_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC6_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC6_OEN_SEL_S 10
#define GPIO_GPIO_FUNC6_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC6_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC6_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC6_OUT_SEL_S 0

#define GPIO_FUNC7_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x054c)
#define GPIO_GPIO_FUNC7_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC7_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC7_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC7_OEN_SEL_S 10
#define GPIO_GPIO_FUNC7_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC7_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC7_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC7_OUT_SEL_S 0

#define GPIO_FUNC8_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x0550)
#define GPIO_GPIO_FUNC8_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC8_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC8_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC8_OEN_SEL_S 10
#define GPIO_GPIO_FUNC8_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC8_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC8_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC8_OUT_SEL_S 0

#define GPIO_FUNC9_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x0554)
#define GPIO_GPIO_FUNC9_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC9_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC9_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC9_OEN_SEL_S 10
#define GPIO_GPIO_FUNC9_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC9_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC9_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC9_OUT_SEL_S 0

#define GPIO_FUNC10_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x0558)
#define GPIO_GPIO_FUNC10_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC10_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC10_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC10_OEN_SEL_S 10
#define GPIO_GPIO_FUNC10_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC10_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC10_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC10_OUT_SEL_S 0

#define GPIO_FUNC11_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x055c)
#define GPIO_GPIO_FUNC11_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC11_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC11_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC11_OEN_SEL_S 10
#define GPIO_GPIO_FUNC11_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC11_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC11_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC11_OUT_SEL_S 0

#define GPIO_FUNC12_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x0560)
#define GPIO_GPIO_FUNC12_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC12_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC12_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC12_OEN_SEL_S 10
#define GPIO_GPIO_FUNC12_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC12_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC12_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC12_OUT_SEL_S 0

#define GPIO_FUNC13_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x0564)
#define GPIO_GPIO_FUNC13_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC13_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC13_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC13_OEN_SEL_S 10
#define GPIO_GPIO_FUNC13_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC13_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC13_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC13_OUT_SEL_S 0

#define GPIO_FUNC14_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x0568)
#define GPIO_GPIO_FUNC14_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC14_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC14_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC14_OEN_SEL_S 10
#define GPIO_GPIO_FUNC14_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC14_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC14_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC14_OUT_SEL_S 0

#define GPIO_FUNC15_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x056c)
#define GPIO_GPIO_FUNC15_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC15_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC15_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC15_OEN_SEL_S 10
#define GPIO_GPIO_FUNC15_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC15_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC15_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC15_OUT_SEL_S 0

#define GPIO_FUNC16_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x0570)
#define GPIO_GPIO_FUNC16_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC16_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC16_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC16_OEN_SEL_S 10
#define GPIO_GPIO_FUNC16_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC16_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC16_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC16_OUT_SEL_S 0

#define GPIO_FUNC17_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x0574)
#define GPIO_GPIO_FUNC17_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC17_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC17_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC17_OEN_SEL_S 10
#define GPIO_GPIO_FUNC17_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC17_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC17_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC17_OUT_SEL_S 0

#define GPIO_FUNC18_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x0578)
#define GPIO_GPIO_FUNC18_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC18_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC18_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC18_OEN_SEL_S 10
#define GPIO_GPIO_FUNC18_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC18_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC18_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC18_OUT_SEL_S 0

#define GPIO_FUNC19_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x057c)
#define GPIO_GPIO_FUNC19_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC19_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC19_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC19_OEN_SEL_S 10
#define GPIO_GPIO_FUNC19_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC19_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC19_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC19_OUT_SEL_S 0

#define GPIO_FUNC20_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x0580)
#define GPIO_GPIO_FUNC20_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC20_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC20_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC20_OEN_SEL_S 10
#define GPIO_GPIO_FUNC20_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC20_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC20_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC20_OUT_SEL_S 0

#define GPIO_FUNC21_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x0584)
#define GPIO_GPIO_FUNC21_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC21_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC21_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC21_OEN_SEL_S 10
#define GPIO_GPIO_FUNC21_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC21_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC21_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC21_OUT_SEL_S 0

#define GPIO_FUNC22_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x0588)
#define GPIO_GPIO_FUNC22_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC22_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC22_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC22_OEN_SEL_S 10
#define GPIO_GPIO_FUNC22_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC22_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC22_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC22_OUT_SEL_S 0

#define GPIO_FUNC23_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x058c)
#define GPIO_GPIO_FUNC23_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC23_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC23_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC23_OEN_SEL_S 10
#define GPIO_GPIO_FUNC23_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC23_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC23_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC23_OUT_SEL_S 0

#define GPIO_FUNC24_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x0590)
#define GPIO_GPIO_FUNC24_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC24_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC24_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC24_OEN_SEL_S 10
#define GPIO_GPIO_FUNC24_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC24_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC24_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC24_OUT_SEL_S 0

#define GPIO_FUNC25_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x0594)
#define GPIO_GPIO_FUNC25_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC25_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC25_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC25_OEN_SEL_S 10
#define GPIO_GPIO_FUNC25_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC25_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC25_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC25_OUT_SEL_S 0

#define GPIO_FUNC26_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x0598)
#define GPIO_GPIO_FUNC26_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC26_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC26_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC26_OEN_SEL_S 10
#define GPIO_GPIO_FUNC26_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC26_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC26_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC26_OUT_SEL_S 0

#define GPIO_FUNC27_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x059c)
#define GPIO_GPIO_FUNC27_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC27_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC27_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC27_OEN_SEL_S 10
#define GPIO_GPIO_FUNC27_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC27_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC27_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC27_OUT_SEL_S 0

#define GPIO_FUNC28_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x05a0)
#define GPIO_GPIO_FUNC28_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC28_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC28_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC28_OEN_SEL_S 10
#define GPIO_GPIO_FUNC28_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC28_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC28_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC28_OUT_SEL_S 0

#define GPIO_FUNC29_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x05a4)
#define GPIO_GPIO_FUNC29_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC29_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC29_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC29_OEN_SEL_S 10
#define GPIO_GPIO_FUNC29_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC29_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC29_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC29_OUT_SEL_S 0

#define GPIO_FUNC30_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x05a8)
#define GPIO_GPIO_FUNC30_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC30_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC30_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC30_OEN_SEL_S 10
#define GPIO_GPIO_FUNC30_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC30_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC30_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC30_OUT_SEL_S 0

#define GPIO_FUNC31_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x05ac)
#define GPIO_GPIO_FUNC31_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC31_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC31_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC31_OEN_SEL_S 10
#define GPIO_GPIO_FUNC31_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC31_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC31_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC31_OUT_SEL_S 0

#define GPIO_FUNC32_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x05b0)
#define GPIO_GPIO_FUNC32_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC32_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC32_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC32_OEN_SEL_S 10
#define GPIO_GPIO_FUNC32_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC32_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC32_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC32_OUT_SEL_S 0

#define GPIO_FUNC33_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x05b4)
#define GPIO_GPIO_FUNC33_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC33_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC33_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC33_OEN_SEL_S 10
#define GPIO_GPIO_FUNC33_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC33_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC33_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC33_OUT_SEL_S 0

#define GPIO_FUNC34_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x05b8)
#define GPIO_GPIO_FUNC34_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC34_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC34_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC34_OEN_SEL_S 10
#define GPIO_GPIO_FUNC34_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC34_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC34_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC34_OUT_SEL_S 0

#define GPIO_FUNC35_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x05bc)
#define GPIO_GPIO_FUNC35_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC35_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC35_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC35_OEN_SEL_S 10
#define GPIO_GPIO_FUNC35_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC35_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC35_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC35_OUT_SEL_S 0

#define GPIO_FUNC36_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x05c0)
#define GPIO_GPIO_FUNC36_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC36_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC36_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC36_OEN_SEL_S 10
#define GPIO_GPIO_FUNC36_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC36_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC36_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC36_OUT_SEL_S 0

#define GPIO_FUNC37_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x05c4)
#define GPIO_GPIO_FUNC37_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC37_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC37_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC37_OEN_SEL_S 10
#define GPIO_GPIO_FUNC37_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC37_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC37_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC37_OUT_SEL_S 0

#define GPIO_FUNC38_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x05c8)
#define GPIO_GPIO_FUNC38_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC38_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC38_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC38_OEN_SEL_S 10
#define GPIO_GPIO_FUNC38_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC38_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC38_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC38_OUT_SEL_S 0

#define GPIO_FUNC39_OUT_SEL_CFG (DR_REG_GPIO_BASE + 0x05cc)
#define GPIO_GPIO_FUNC39_OEN_INV_SEL (BIT(11))
#define GPIO_GPIO_FUNC39_OEN_INV_SEL_S 11
#define GPIO_GPIO_FUNC39_OEN_SEL (BIT(10))
#define GPIO_GPIO_FUNC39_OEN_SEL_S 10
#define GPIO_GPIO_FUNC39_OUT_INV_SEL (BIT(9))
#define GPIO_GPIO_FUNC39_OUT_INV_SEL_S 9
#define GPIO_GPIO_FUNC39_OUT_SEL 0x000001FF
#define GPIO_GPIO_FUNC39_OUT_SEL_S 0

#endif /* _SOC_GPIO_REG_H_ */
